## org.apache.axis.attachments
Class DimeMultiPart

    java.lang.Object
      |
      +--org.apache.axis.attachments.DimeMultiPart

public final class DimeMultiPart
extends java.lang.Object

This class hold all parts of a DIME multipart message.

Field Summary
`protected java.util.Vector` `parts`

Constructor Summary
`DimeMultiPart()`

Method Summary
`void` `addBodyPart(DimeBodyPart part)`
`long` `getTransmissionSize()`
`void` `write(java.io.OutputStream os)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### parts

    protected java.util.Vector parts

Constructor Detail

### DimeMultiPart

    public DimeMultiPart()

Method Detail

### addBodyPart

    public void addBodyPart(DimeBodyPart part)

### write

    public void write(java.io.OutputStream os)
               throws java.io.IOException

    `java.io.IOException`

### getTransmissionSize

    public long getTransmissionSize()

Copyright © 2003 Apache Web Services Project. All Rights Reserved.